# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignDateAndPersonAssignment Class Reference

`#include <StepAP214_AutoDesignDateAndPersonAssignment.hxx>`

Inheritance diagram for StepAP214_AutoDesignDateAndPersonAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AutoDesignDateAndPersonAssignment ()
| Returns a AutoDesignDateAndPersonAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_PersonAndOrganization)&aAssignedPersonAndOrganization, const Handle(StepBasic_PersonAndOrganizationRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_PersonAndOrganization)&aAssignedPersonAndOrganization, const Handle(StepBasic_PersonAndOrganizationRole)&aRole, const Handle(StepAP214_HArray1OfAutoDesignDateAndPersonItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfAutoDesignDateAndPersonItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignDateAndPersonItem | Items () const
Standard_EXPORT StepAP214_AutoDesignDateAndPersonItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfAutoDesignDateAndPersonItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignDateAndPersonAssignment::StepAP214_AutoDesignDateAndPersonAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignDateAndPersonAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_PersonAndOrganizationAssignment.

virtual Standard_EXPORT void StepAP214_AutoDesignDateAndPersonAssignment::Init | ( | const Handle(StepBasic_PersonAndOrganization)& | aAssignedPersonAndOrganization,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfAutoDesignDateAndPersonItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AutoDesignDateAndPersonAssignment::Init | ( | const Handle(StepBasic_PersonAndOrganization)& | aAssignedPersonAndOrganization,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_PersonAndOrganizationAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignDateAndPersonItem StepAP214_AutoDesignDateAndPersonAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_AutoDesignDateAndPersonItem StepAP214_AutoDesignDateAndPersonAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignDateAndPersonAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignDateAndPersonAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfAutoDesignDateAndPersonItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfAutoDesignDateAndPersonItem StepAP214_AutoDesignDateAndPersonAssignment::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignDateAndPersonAssignment.hxx